# Class CIM_ExtentRedundancyComponent
extends CIM_RedundancyComponent

Describes the StorageExtents participating in a Storage RedundancyGroup. The use of this class is being deprecated in lieu of using MemberOfCollection in conjunction with StorageRedundancySet.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_RedundancyComponent
|
+--CIM_ExtentRedundancyComponent

## Direct Known Subclasses

CIM_AggregateRedundancyComponent
CIM_PExtentRedundancyComponent

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_MemberOfCollection
Description | string | Describes the StorageExtents participating in a Storage RedundancyGroup. The use of this class is being deprecated in lieu of using MemberOfCollection in conjunction with StorageRedundancySet.
UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.13.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ExtentRedundancyComponent | CIM_StorageRedundancyGroup
PartComponent | CIM_ExtentRedundancyComponent | CIM_StorageExtent

## Class Methods